INTERFACE
SUBROUTINE SUJBWAVALLS (YD_PVC, KSCALE, KLEVS)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMWAVELET, ONLY : N_WAVELET_CUTOFFS, WAVELET_VCOR_STRUCT,&
 & GRID_DEFINITION 
USE MPL_MODULE
TYPE(WAVELET_VCOR_STRUCT),INTENT(INOUT) :: YD_PVC
INTEGER(KIND=JPIM),INTENT(IN) :: KSCALE
INTEGER(KIND=JPIM),INTENT(IN) :: KLEVS
INTEGER(KIND=JPIM), PARAMETER :: JPIOMASTER=1
END SUBROUTINE SUJBWAVALLS
END INTERFACE
